{
  "name": "react-base-playground",
  "version": "1.0.0",
  "description": "Base playground for react app",
  "main": "index.tsx",
  "scripts": {
    "start": "webpack-dev-server --mode development --inline --hot --open 'google chrome'",
    "build": "rimraf dist && webpack --mode development",
    "lint": "eslint ./src --ext .ts,.tsx"
  },
  "husky": {
    "hooks": {
      "pre-commit": "lint-staged"
    }
  },
  "lint-staged": {
    "src/**/*.{ts,tsx}": [
      "npm run lint",
      "pretty-quick --staged"
    ]
  },
  "keywords": [
    "react"
  ],
  "author": "lagp",
  "license": "MIT",
  "devDependencies": {
    "@babel/cli": "^7.8.4",
    "@babel/core": "^7.8.7",
    "@babel/polyfill": "^7.8.7",
    "@babel/preset-env": "^7.8.7",
    "@typescript-eslint/eslint-plugin": "^2.24.0",
    "@typescript-eslint/parser": "^2.24.0",
    "awesome-typescript-loader": "^5.2.1",
    "babel-loader": "^8.0.6",
    "css-loader": "^3.4.2",
    "eslint": "^6.8.0",
    "eslint-config-standard": "^14.1.0",
    "eslint-plugin-import": "^2.20.1",
    "eslint-plugin-node": "^11.0.0",
    "eslint-plugin-promise": "^4.2.1",
    "eslint-plugin-react": "^7.19.0",
    "eslint-plugin-standard": "^4.0.1",
    "file-loader": "^6.0.0",
    "html-webpack-plugin": "^3.2.0",
    "husky": "^4.2.5",
    "mini-css-extract-plugin": "^0.9.0",
    "style-loader": "^1.1.3",
    "typescript": "^3.8.3",
    "url-loader": "^4.0.0",
    "webpack": "^4.42.0",
    "webpack-cli": "^3.3.11",
    "webpack-dev-server": "^3.10.3"
  },
  "dependencies": {
    "@material-ui/core": "^4.9.11",
    "@types/node": "^14.0.27",
    "@types/react": "^16.9.23",
    "@types/react-dom": "^16.9.5",
    "@types/react-redux": "^7.1.9",
    "convert-units": "^2.3.4",
    "core-js": "^3.6.4",
    "lint-staged": "^10.2.11",
    "moment": "^2.25.3",
    "prettier": "^2.0.5",
    "pretty-quick": "^2.0.1",
    "prop-types": "^15.7.2",
    "react": "^16.13.0",
    "react-dom": "^16.13.0",
    "react-flexbox-grid": "^2.1.2",
    "react-redux": "^7.2.1",
    "react-weathericons": "^1.0.4",
    "redux": "^4.0.5",
    "redux-thunk": "^2.3.0",
    "rimraf": "^3.0.2"
  }
}
